import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useBBoxObserver, AlignGroup } from 'react-d3-utils';
import { usePlotContext } from '../contexts/plotContext';
export function Heading({ title, titleStyle, titleClass, subtitle, subtitleStyle, subtitleClass, position, }) {
    const { width, height } = usePlotContext();
    const defaultTitleStyle = {
        dominantBaseline: 'hanging',
        textAnchor: 'middle',
        fontSize: '16px',
        fontWeight: 'bold',
    };
    const defaultSubtitleStyle = {
        dominantBaseline: 'hanging',
        textAnchor: 'middle',
        fontSize: '14px',
        color: 'gray',
    };
    const headingBbox = useBBoxObserver();
    return (_jsxs(AlignGroup, { x: width / 2, y: position === 'top' ? 0 : height, horizontalAlign: "middle", verticalAlign: position === 'top' ? 'start' : 'end', children: [_jsx("text", { ref: headingBbox.ref, style: { ...defaultTitleStyle, ...titleStyle }, className: titleClass, children: title }, void 0), subtitle && (_jsx("text", { transform: `translate(0, ${headingBbox.height})`, style: {
                    ...defaultSubtitleStyle,
                    ...subtitleStyle,
                }, className: subtitleClass, children: subtitle }, void 0))] }, void 0));
}
Heading.defaultProps = {
    position: 'top',
};
//# sourceMappingURL=Heading.js.map