import React from 'react';
import { PlotAxisContext, PlotSeriesState } from '../contexts/plotContext';
import { SeriesPoint } from '../types';
export interface ClosestInfo<T extends ClosestMethods> {
    point: SeriesPoint;
    label: string;
    axis: T extends 'euclidean' ? Record<'x' | 'y', PlotAxisContext> : PlotAxisContext;
}
export declare type ClosestMethods = 'x' | 'y' | 'euclidean';
export declare type ClosestInfoResult = Record<string, ClosestInfo<ClosestMethods>>;
export interface TrackingResult {
    event: React.MouseEvent<SVGRectElement, MouseEvent>;
    coordinates: Record<string, number>;
    getClosest: (method: ClosestMethods) => ClosestInfoResult;
}
export interface TrackingProps {
    onMouseMove?: (result: TrackingResult) => void;
    onClick?: (result: TrackingResult) => void;
    onMouseEnter?: (event: React.MouseEvent<SVGRectElement, MouseEvent>) => void;
    onMouseLeave?: (event: React.MouseEvent<SVGRectElement, MouseEvent>) => void;
    onMouseUp?: (result: TrackingResult) => void;
    onMouseDown?: (result: TrackingResult) => void;
    onDoubleClick?: (result: TrackingResult) => void;
    stateSeries: PlotSeriesState[];
}
export default function Tracking({ onMouseMove, onClick, onMouseEnter, onMouseLeave, onMouseDown, onMouseUp, onDoubleClick, stateSeries, }: TrackingProps): JSX.Element;
